import {get,post} from './index'

/**
 * 获取分类列表
 */
export function apiClassifyList(params){
    return get('/training_video/classify/tree',params)
}
/**
 * 获取标签列表
 */
export function apiTagList(params){
    return get('/training_video/tag/list',params)
}
/**
 * 获取视频列表
 * @param {Object} params 
 * @param {Number} params.page_size
 * @param {Number} params.current_index
 * @param {String} params.keyword
 * @param {Boolean} params.is_new 是否最新：true-是；false-否
 * @param {Boolean} params.is_hot 是否最热：true-是；false-否
 * @param {Number} params.classify_id
 * @param {String} params.tag_ids 标签IDs, 英文逗号拼接
 */
export function apiVideoList(params){
    return get('/training_video/video/page_list',params)
}
/**
 * 获取视频详情
 * @param {Object} params 
 * @param {String} params.video_code
 * @param {String} params.business_code
 * @returns 
 */
export function apiVideoDetail(params){
    return get('/training_video/video/detail',params)
}