import { createRouter, createWebHistory } from "vue-router";
const routes=[
    {
        path: "/",
        name: "Layout",
        redirect:'/update/index',
        component: ()=>import("@/layouts/Index.vue"),
        children:[
            {
                path:"/help/index",
                name:"HelpIndex",
                component: () => import("@/views/help/Index.vue"),
                meta: { 
                    title: "ETA投研系统帮助中心",
                },
            },
            {
                path:"/update/index",
                name:"UpdateIndex",
                component: () => import("@/views/update/Index.vue"),
                meta: { 
                    title: "ETA投研系统更新日志",
                },
            },
            {
                path:"/video/list",
                name:"VideoList",
                component:() => import("@/views/trainingVideo/List.vue"),
                meta:{
                    title:"培训课程"
                }
            },
            {
                path:"/video/detail",
                name:"VideoDetail",
                component:() => import("@/views/trainingVideo/Detail.vue"),
                meta:{
                    title:""
                }
            },
        ]
    },
    {
		path: "/:pathMatch(.*)",
		name: "error",
		component: () => import("@/views/404.vue"),
		meta: { title: "404" },
	},
]

const router = createRouter({
    history: createWebHistory(import.meta.env.VITE_APP_BASE_URL),
    routes,
});
router.beforeEach((to, from, next) => {
    document.title = to.meta.title;
    next();
});
export default router;